unix_socket = Rails.application.config.rails_render_service.get_uri.call
unix_socket_file = unix_socket.split('unix://').last

pid = spawn("cd #{Rails.root} && NODE_ENV=#{Rails.env} PORT=#{unix_socket_file} npm run start")

File.delete unix_socket_file if File.exists? unix_socket_file

trap('TERM') do
  kill pid
  shutdown()
end
trap('INT') do
  kill pid
  shutdown()
end
