var http = require('http')
var express = require('express')
var bodyParser = require('body-parser')
var Router = express.Router

var app = express()
app.use(bodyParser.json())

function hasView(req, res) {
  res.status(200).end()
}
function renderView(req, res) {
  res.status(200).send(req.body)
}
var widgets = new Router()
widgets.get('/index', hasView)
widgets.post('/index', renderView)
widgets.get('/show', hasView)
widgets.post('/show', renderView)
app.use('/widgets', widgets)

app.use(function(req, res) {
  res.status(404).end()
})

http.createServer(app).listen(process.env.PORT)
console.log('Listening on ' + process.env.PORT)
